#ifndef GTKMM_EXAMPLE_TIMEREXAMPLE_H
#define GTKMM_EXAMPLE_TIMEREXAMPLE_H

#include <gtkmm.h>
#include <iostream>

class BasicTimer : public Gtk::Window
{
public:
  BasicTimer();

protected:
  // button signal handlers
  void on_button_add_timer();
  void on_button_delete_timer();
  void on_button_quit();

  // This is the standard prototype of the Timer callback function
  bool on_timeout(); 

  // Member data:
  Gtk::Box m_Box;
  Gtk::Button m_ButtonAddTimer, m_ButtonDeleteTimer, m_ButtonQuit;

  // Keep track of the timer status (created or not)
  bool timer_added;
  
  // to store a timer disconnect request
  bool disconnect;

  // This constant is initialized in the constructor's member initializer:
  const int timeout_value;
};

#endif // GTKMM_EXAMPLE_TIMEREXAMPLE_H
